:root {
    --main-first: 213;
    --main-saturation: 60%;
    --main-lightness: 70%;
    
    --main-color: hsl(var(--main-first) var(--main-saturation) var(--main-lightness));
    --accent-color: hsl(
        calc(var(--main-first) + 30) 
        var(--main-saturation) 
        calc(var(--main-lightness))
    );
    --accent-color-darker: hsl(
        calc(var(--main-first) + 30) 
        var(--main-saturation) 
        calc(var(--main-lightness) - 20%)
    );
    --accent-color-lighter: hsl(
        calc(var(--main-first) + 30) 
        var(--main-saturation) 
        calc(var(--main-lightness) + 20%)
    );

    --secondary-color: hsl(
        calc(var(--main-first) + 30)
        var(--main-saturation)
        calc(var(--main-lightness))
    );

    /* bootstrap overrides */
    --bs-btn-hover-bg: var(--accent-color-lighter);
}